<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: SimuUsGL.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_simu_us_g_l_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SimuUsGL.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_simu_us_g_l_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef SIMUUSGL_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define SIMUUSGL_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_simu_us_8h.html">SimuUs.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;SensorGL.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>DoubleSpinBox;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>Vector3DSpinBox;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">namespace </span>simulator</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">class </span>Model;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_simu_us_g_l.html">   40</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_simu_us_g_l.html">SimuUsGL</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_simu_us.html">SimuUs</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_sensor_g_l.html">SensorGL</a></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    {</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_us_g_l.html">SimuUsGL</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1simulator_1_1_model.html">simulator::Model</a>* parent,std::string name,<span class="keywordtype">int</span> dev_id);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            ~<a class="code" href="classframework_1_1sensor_1_1_simu_us_g_l.html">SimuUsGL</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_double_spin_box.html">gui::DoubleSpinBox</a> *range;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_vector3_d_spin_box.html">gui::Vector3DSpinBox</a> *position,*direction;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    };</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif // SIMUUSGL_H</span></div>
<div class="ttc" id="_simu_us_8h_html"><div class="ttname"><a href="_simu_us_8h.html">SimuUs.h</a></div><div class="ttdoc">Class for a simulation UsRangeFinder. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_us_g_l_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_us_g_l.html">framework::sensor::SimuUsGL</a></div><div class="ttdoc">Class for a simulation us. </div><div class="ttdef"><b>Definition:</b> SimuUsGL.h:40</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_us_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_us.html">framework::sensor::SimuUs</a></div><div class="ttdoc">Class for a simulation UsRangeFinder. </div><div class="ttdef"><b>Definition:</b> SimuUs.h:35</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_sensor_g_l_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_sensor_g_l.html">framework::sensor::SensorGL</a></div><div class="ttdef"><b>Definition:</b> SensorGL.h:37</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_vector3_d_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_vector3_d_spin_box.html">framework::gui::Vector3DSpinBox</a></div><div class="ttdoc">Class displaying 3 QDoubleSpinBox for x,y,z on the ground station. </div><div class="ttdef"><b>Definition:</b> Vector3DSpinBox.h:23</div></div>
<div class="ttc" id="classframework_1_1simulator_1_1_model_html"><div class="ttname"><a href="classframework_1_1simulator_1_1_model.html">framework::simulator::Model</a></div><div class="ttdef"><b>Definition:</b> Model.h:58</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_double_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_double_spin_box.html">framework::gui::DoubleSpinBox</a></div><div class="ttdoc">Class displaying a QDoubleSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> DoubleSpinBox.h:26</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_6962904a96d3f1c10f59585133da35bc.html">Simulator</a></li><li class="navelem"><a class="el" href="dir_2107af49dd8f3a873ad5b33a24eb9953.html">src</a></li><li class="navelem"><a class="el" href="_simu_us_g_l_8h.html">SimuUsGL.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
